Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jan 2021 23:33:47 +0000

Hi Osam Thabit Qaid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I left instuction to cancel order and refund yesterday after i was informed that i would have to wait upto 3 days to receive. I went to the store in city and purchased a cot and paid cash for it yesterday. Spoke with Mr Irfan Othman and he assured me that the order would be, or is cancelled and i would receive  refund in due course.
 The  click and collect service is not fit for purpose. This service implys rapid effient service , it is neither.
I await an uneventful refund.
 Please do not hesitate to contact me on how, in this difficult  time , on how click and collect should work and does work  effectively in most large operations like yourselves. Regards 
Jennifer Conway. 
Tel 39336910 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1976642